[package]
name = "ygg_driver_usb"
version = "0.1.0"
edition = "2024"
authors = ["Mark Poliakov <mark@alnyan.me>"]

[dependencies]
yggdrasil-abi.workspace = true
device-api = { workspace = true, features = ["derive"] }
libk-util.workspace = true
libk-mm.workspace = true
libk.workspace = true

ygg_driver_input = { path = "../../input" }
# For mass storage
ygg_driver_scsi = { path = "../../block/scsi" }

log.workspace = true
bytemuck.workspace = true
futures-util.workspace = true
async-trait.workspace = true
